Package weka.core.pmml.jaxbbindings

# Class CompoundPredicate

java.lang.Object
weka.core.pmml.jaxbbindings.CompoundPredicate

public class CompoundPredicate extends Object

Java class for CompoundPredicate element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="CompoundPredicate">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <sequence maxOccurs="unbounded" minOccurs="2">
                 <group ref="{http://www.dmg.org/PMML-4_1}PREDICATE"/>
               </sequence>
             </sequence>
             <attribute name="booleanOperator" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="or"/>
                   <enumeration value="and"/>
                   <enumeration value="xor"/>
                   <enumeration value="surrogate"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompoundPredicate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBooleanOperator()`
  Gets the value of the booleanOperator property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `List<Object>`
  `getSimplePredicateOrCompoundPredicateOrSimpleSetPredicate()`
  Gets the value of the simplePredicateOrCompoundPredicateOrSimpleSetPredicate property.
  `void`
  `setBooleanOperator(String value)`
  Sets the value of the booleanOperator property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompoundPredicate

    public CompoundPredicate()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getSimplePredicateOrCompoundPredicateOrSimpleSetPredicate

    public List<Object> getSimplePredicateOrCompoundPredicateOrSimpleSetPredicate()
    Gets the value of the simplePredicateOrCompoundPredicateOrSimpleSetPredicate property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the simplePredicateOrCompoundPredicateOrSimpleSetPredicate property.

    For example, to add a new item, do as follows:

            getSimplePredicateOrCompoundPredicateOrSimpleSetPredicate().add(newItem);

    Objects of the following type(s) are allowed in the list `SimpleSetPredicate` `SimplePredicate` `False` `True` `CompoundPredicate`

  - ### getBooleanOperator

    public String getBooleanOperator()
    Gets the value of the booleanOperator property.
    Returns:
      possible object is `String`

  - ### setBooleanOperator

    public void setBooleanOperator(String value)
    Sets the value of the booleanOperator property.
    Parameters:
      `value` - allowed object is `String`